/* Import fonts from fonts.css */
@import url('/css/fonts.css');

/* css variables */
@import url('/css/partials/_variables.css');

/* globals styling variable */
@import url('/css/partials/_globals.css');

/* Script for movr up button */
@import url('/css/moveUpBtn.css');

html,body{
    margin: 0%;
    box-sizing: border-box;
    overflow-x: hidden;

}

/*========================== Global Classes ========================== */
a{
    text-decoration: none;
    color: var(--text-color);
}

/* .flex-row{  
    display: flex;
    flex-direction: row;
    flex-wrap: wrap;
}

ul{
    list-style-type: none;
} */

h2{
    font-family: var(--lexend_deca);
    font-size: 2.2rem;
}

h3{
    /* font-family: var(--abel);
    font-size: 1.8rem; */
    font-family: var(--lexend_deca);
    margin-left: 0.5rem;
}

button.btn{
    border: none;
    border-radius: 2rem;
    padding: 1rem 3rem;
    font-size: 1rem;
    font-family: var(--livvic);
    cursor: pointer;
}

.footer_text::after {
    color: var(--text-gray);
    content: var(--footer_content);
    font-family: var(--josefin_sans);;
}

/* span{
    font-family: var(--abel);
}

.container{
    margin: 0 5vw;
}

.text-gray{
    color: var(--text-gray);
} */

p{
    font-family: var(--lexend_deca);
    color: #000000;
    font-size: 1.1rem;
    /* font-weight: 300; */
    line-height: 1.7em;
    margin-left: 1rem;
}

/*========================== Global Classes Ends ==========================*/

/*========================== Navbar Styling ==========================*/
/*========================== End Navbar Styling ==========================*/


/*========================== Page Title Styling ==========================*/

body {
    background-image: url('/assets/banner3.png');
    /* background-size: auto; */
    background-size: cover;
    background-repeat: repeat;
    justify-content: center;
  }

main .page-title .title{
    padding-top: 1.5rem;
    text-align: center;
    color: black;
}

main .page-title h2{
    margin: 0.5rem;
    font-family: var(--josefin_sans);
    /* font-size: 4rem; */
    padding-bottom: 1rem;
}

/*========================== End Page Title Styling ==========================*/


/*========================== Page Content Styling ==========================*/

.page-heading{
    margin-top: 3rem;
    text-align: center;
}
.name{
    margin-top: 3rem;
    font-size: 4rem;
    font-family: var(--lexend_deca);
}
hr.style-one {
    border: 0;
    height: 1px;
    background: #333;
    background-image: -webkit-linear-gradient(left, #ccc, #333, #ccc);
    background-image: -moz-linear-gradient(left, #ccc, #333, #ccc);
    background-image: -ms-linear-gradient(left, #ccc, #333, #ccc);
    background-image: -o-linear-gradient(left, #ccc, #333, #ccc);
}
.container{
    position: absolute;
    bottom: 0;
    left: 0;
    right: 0;
    padding-bottom: 50px;
}
.lib-contents{
    position: relative;
}

  .grid { 
    display: grid;
    grid-template-columns: 80% 20%;
    /* grid-template-rows: 50rem ; */
    grid-template-rows: max-content;
    grid-template-areas: 
    "s1 s2"  
    "s3 s2"
  }
  .s2 { 
    grid-area: s2 ;
  }
  .s1 { 
    grid-area: s1;
    /* background-color: rgba(204, 204, 204, 0.25); */
    /* background-color:mintcream; */
    background-color: rgba(255, 255, 255, .15);
    backdrop-filter: blur(5px);
  }
  .s3 {
    grid-area: s3;
  }
  .sub-title{
      /* font-family: var(--lexend_deca); */
      font-size: 35px;
  }
  .title-name{
    font-size: 55px;
  }
  .topic-name{
    font-size: 35px;
  }
  /* .list-style1{
    list-style-type: circle;
    font-weight: 500;
  }
  .list-style2{
    list-style-type: disc;
    font-weight: 500;
    color:rgb(4, 7, 1);
  }
  .list-style3{
    list-style-type: decimal;
    font-weight: 500;
  } */
  /* .list-style4{
    list-style-type:symbols("*");
    font-weight: 500;
  } */
  /* .list-style4{
    list-style-type:disc;
    font-weight: 500;
    color:rgb(4, 7, 1);
    font-size: 1.7rem;
  }
  .list-style5{
    list-style-type:lower-roman;
    font-weight: 500;
    color:rgb(4, 7, 1);
  } */
  textarea{
    height: 290px;       
    width: 600px;
    border: solid 2px blanchedalmond;
    border-radius: 15px;
    background-color: azure;
    font-size: 15px;
    font-family: var(--livvic);
    font-weight: 600;
  }
  #txt-ara1a{
    height: 410px;
  }
  #txt-ara2{
    height: 68px;       
    width: 600px;
    border: solid 2px blanchedalmond;
    border-radius: 15px;
    background-color: azure;
    font-size: 15px;
  }
  .code-area{
    background-color: beige;
    border-radius: 10px;
    border: solid 1.8px black;
    width: 700px;
    overflow:auto;
  }
  .test-code{
    font-weight: 595;
    font-family: var(--livvic);
    font-size: 20px;
    color: black;
    font-style: italic;
  }

  .cpp-page-link{
    font-family: var(--lexend_deca);
    color: #393ce7;
    font-size: 1.1rem;
    line-height: 0rem;
    font-style: italic;
  }
  .blog-category1, .blog-category2{
    /* width: 20% */
    width: 55%
  }
  .para-break {
    border: 3px solid #B3B04F;
    border-radius: 5px;
    align-self: center;
    width: 80%;
  }
  .list-style{
      list-style-type: square;
      font-weight: 500;
  }
  .list-style1{
      list-style-type: circle;
      font-weight: 500;
  }
  .list-style2{
      list-style-type: disc;
      font-weight: 500;
  }
  .list-style3{
      list-style-type: decimal;
      font-weight: 500;
  }
  .list-style4{
      list-style-image: url(/assets/svg/cross.svg);
      font-weight: 500;
  }
  .list-style5{
      list-style-image: url(/assets/svg/spades.svg);
      font-weight: 500;
  }
  .list-style6{
      list-style-image: url(/assets/svg/rounded_star1.svg);
      font-weight: 500;    
  }
  .list-style7{
      list-style-image: url(/assets/svg/star1.svg);
      font-weight: 500;
  }
  .sub-list1{
      font-size: 0.75em;
      line-height: 0.05em;
  }
  
  /* table, th, td {
      border: 0px solid rgb(129, 126, 126);
      border-collapse: collapse;
  }
  th,td{
      font-family: var(--livvic);
      padding: 10px;
  }
  table tr:nth-child(even) {
      background-color: #eee;
  }
  table tr:nth-child(odd) {
      background-color: #fff;
  }
  table th {
      color: white;
      background-color: black;
  } */

  .custom_para{
    font-family: var(--lexend_deca);
    color: #000000;
    font-size: 1.3rem;
    line-height: 1.1rem;
  }
  .table-container{
      display: flex;
      align-items: center;
      margin-left: 1.5em;
  }
  .contents, th, td {
    /* border: 1px solid red; */
    border: 0px;
    font-size: 1.3rem;   
    line-height: 2em; 
  }
   td img{
    display: block;
    margin-left: auto;
    margin-right: auto;
  }
  .img_icon{
      width: 35px;
      height: 35px;
  }
  


/*========================== End Page Content Styling ==========================*/


/*========================== Footer Styling ==========================*/

footer.footer{
    background: var(--title-color);
    /* position: relative;
    padding: 0 2rem; */
    position: fixed;
    left: 0;
    bottom: 0;
    width: 100%;
    text-align: center;
}


footer.footer .container h3{
    color: var(--white);
}

footer.footer .rights{
    justify-content: center;
    font-family: var(--josefin_sans);
}

footer.footer .rights a{
    color: var(--white);
}

footer.footer .move-up{
    position:relative;
    /* right: 6%; */
    /* left: 48%; */
    left: 33%;
    top: 50%;
    color: var(--midnight-green);
}

footer.footer .move-up:hover{
    color: var(--white);
    cursor: pointer;
}

/* footer.footer .move-up span{
    color: var(--midnight-green);
}

footer.footer .move-up span:hover{
    color: var(--white);
    cursor: pointer;
} */

/*========================== End Footer Styling ==========================*/


/*========================== viewport less than or equals to 1130px =====================*/

@media only screen and (max-width:1130px){

    main .page-content .page-background .blog-content{
        display: flex;
        flex-direction: column;
        text-align: center;
        width: 25%;
        height: 15%;
        margin: 1.5rem 1.5rem;
        box-shadow: var(--box-shadow);
    } 

    main .page-content .page-background .blog-content img{
        height: 50%;
        width: 50%;
    }
    .blog-category1, .blog-category2{     
        width: 55%;
    }
    .custom_para{
        font-size: 1.0rem;
        line-height: 1.3rem;
    }
    .cpp-page-link{
        font-size: 1.0rem;
        line-height: 1.3rem;
        font-style: italic;
    }    
    footer.footer .move-up{
        left: 20%;
    }

}

/*========================== viewport less than or equals to 1130px ends =====================*/

/*========================== viewport less than or equals to 770px =====================*/

@media only screen and (max-width:770px){

    /* .nav .nav-menu, .nav .nav-items{
        flex-direction: column;
    }

    .nav .toggle-collapse{
        display: initial;
    } */

    main .page-content .page-background .blog-content{
        display: flex;
        flex-direction: column;
        text-align: center;
        width: 25%;
        height: 15%;
        margin: 0.5rem 1.5rem;
        box-shadow: var(--box-shadow);
        /* grid-template-columns: repeat(2, 1fr);
        width: 15%;
        height: 8%; */
    } 

    main .page-content .page-background .blog-content img{
        height: 80%;
        width: 80%;
    }

    main .page-title h1{
        font-size: 3rem;
        padding-bottom: 0.5rem;
    }

    /* .grid { 
        display: grid;
        grid-template-columns: 10% 80% 10% ;
        grid-template-areas: 
        "s1 s2 s3"    
        "s1 s4 s3"
    }
    
    .s1, .s3 { 
        visibility: visible;
    }
    .s4{
        visibility: visible;
    } */
    .blog-category1, .blog-category2{  
        width: 70%;
    }
    .code-area{
        width: 550px;
    }
    .test-code{
        font-size: 12px;
    }
    .custom_para{
        font-size: 1.0rem;
        line-height: 1.3rem;
    }
    .cpp-page-link{
       font-size: 1.0rem;
       line-height: 1.3rem;
       font-style: italic;
    }
    footer.footer .move-up{
        left: 10%;
    }
}

/*=================== viewport less than or equals to 770px close =====================*/


/*=================== viewport less than or equals to 520px =========================*/

@media only screen and (max-width:520px){

    /* main .page-background{
        height: 90vh;
    } */
    main .page-title .page-background{
        padding-top: 2.5rem;
    }

    main .page-title h1{
        margin: 0.3rem;
        font-size: 3rem;
    }

    /* nav .toggle-collapse{
        width: 80% !important;
    } */

    main .page-title h1{
        font-size: 2rem;
        padding-bottom: 0.5rem;
    }
    
    /* .grid { 
        display: grid;
        grid-template-columns: 2% 95% 2% ;
        grid-template-areas: 
        "s1 s2 s3"    
        "s1 s4 s3"
      }
    .s1, .s3 { 
        visibility: hidden;
    }
    .s4{
        visibility: visible;
    } */
    .blog-category1, .blog-category2{
        width: 85%;
    }

    footer.footer .rights > div{
        padding: 0.8rem 0.9rem !important;
    }

    footer .rights{
        padding: 0 1.4rem;
        text-align: center;
    }
    .code-area{
        width: 350px;
    }
    .test-code{
        font-size: 12px;
    }
    .title-name{
        font-size: 50px;
    }
    .topic-name{
        font-size: 35px;
        font-weight: bold;
    }#txt-ara1{
        height: 300px;       
        width: 300px;
        border: solid 2px blanchedalmond;
        border-radius: 15px;
        background-color: azure;
        font-size: 12px;
    }
    #txt-ara1a{
        height: 360px;       
        width: 300px;
        font-size: 12px;
    }
    #txt-ara2{
        height: 58px;       
        width: 300px;
        border: solid 2px blanchedalmond;
        border-radius: 15px;
        background-color: azure;
        font-size: 12px;
        text-align: left;
        margin-left: 0%;
    }
    .custom_para{
        font-size: 0.7em;
        line-height: 1.1em;
    }
    .contents, th, td {
      font-size: 1.1rem;   
      line-height: 0.1em; 
    }
    .img_icon{
        width: 25px;
        height: 25px;
    }
    .cpp-page-link{
       font-size: 1.0rem;
       line-height: 1.3rem;
       font-style: italic;
    }
    footer.footer .move-up{
        left: 22%;
    }
}

/*=================== viewport less than or equals to 520px close =========================*/





/*=================== viewport less than or equals to 380px =========================*/

@media only screen and (max-width:375px){
    
    main .page-title .page-background{
        padding-top: 2.5rem;
    }

    main .page-title h1{
        margin: 0.3rem;
        font-size: 3rem;
    }

    /* nav .toggle-collapse{
        width: 80% !important;
    } */
    main .page-title h1{
        font-size: 2rem;
        padding-bottom: 0.5rem;
    }

    /* .grid { 
        grid-template-columns: 90% 10%;
        grid-template-areas: 
        "s1 s2"  
    }
      .s2 { 
        grid-area: s2 ;
    }
      .s1 { 
        grid-area: s1;
        background-color:mintcream;
    }
      .s3 {
        grid-area: s3;
    } */
    .blog-category1, .blog-category2{
        width: 80%;
        /* height: 20%; */
    }

    footer.footer .rights > div{
        padding: 0.8rem 0.9rem !important;
    }

    footer .rights{
        padding: 0 1.4rem;
        text-align: center;
    }
    .code-area{
        width: 260px;
    }
    .test-code{
        font-size: 12px;
    }
    .title-name{
        font-size: 45px;
    }
    .topic-name{
        font-size: 30px;
        font-weight: bold;
    }#txt-ara1{
        height: 300px;       
        width: 300px;
        border: solid 2px blanchedalmond;
        border-radius: 15px;
        background-color: azure;
        font-size: 12px;
    }
    #txt-ara1a{
        height: 360px;       
        width: 300px;
        font-size: 12px;
    }
    #txt-ara2{
        height: 58px;       
        width: 300px;
        border: solid 2px blanchedalmond;
        border-radius: 15px;
        background-color: azure;
        font-size: 12px;
        text-align: left;
        margin-left: 0%;
    }
    p{
        font-size: 0.9em;
        line-height: 1.5em;
    }
    .custom_para{
        font-size: 0.6em;
        line-height: 1.1em;
    }
    .contents, th, td {
      font-size: 1.3rem;   
      line-height: 0.1em; 
    }
    .img_icon{
        width: 25px;
        height: 25px;
    }
    .list-style4{
        font-size: 1.2rem;
    }
    .cpp-page-link{
       font-size: 0.9em;
       line-height: 1.1em;
       font-style: italic;
    }
    footer.footer .move-up{
        left: 14%;
    }
}
/*=================== viewport less than or equals to 380px close =========================*/

